Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 81462 - RFE: Tool to aid in storage of kickstart RPMs on satellite servers
Summary: RFE: Tool to aid in storage of kickstart RPMs on satellite servers
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Server
Version: unspecified
Hardware: All
OS: Linux
high
medium
Target Milestone: ---
Assignee: Mihai Ibanescu
QA Contact: Fanny Augustin
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-01-09 17:59 UTC by Greg DeKoenigsberg
Modified: 2007-07-31 19:03 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-04-14 16:04:43 UTC


Attachments (Terms of Use)

Description Greg DeKoenigsberg 2003-01-09 17:59:16 UTC
Customers want to use satellite servers as kickstart servers as well.  This is
reasonable.

Unfortunately, RPM duplication and disk space usage becomes a problem.  90% of
the RPMs in a given kickstart file tree will also be in the RPM repository for
the satellite.

To eliminate unnecessary duplication, we should have a de-duping copy function
for RPMs that might work something like this:

$ satcp /mnt/cdrom/filetree/*.rpm /var/www/pub/filetree/*.rpm

Before writing each RPM to disk, satcp would check the satellite repository.  If
an RPM with the same(ish) name and matching MD5sum exists, create a symlink
instead of copying the file.

We would then document the use of this satcp script in the satellite/kickstart
documentation.

Comment 1 Mihai Ibanescu 2003-01-09 21:22:51 UTC
Should be on my plate I guess.

Comment 2 Greg DeKoenigsberg 2003-02-03 14:52:53 UTC
Bumping priority ("provisioning" implications)

Comment 3 Greg DeKoenigsberg 2003-04-11 14:53:02 UTC
RHN 3.0.0

Comment 4 Greg DeKoenigsberg 2003-04-14 16:04:43 UTC
Was apparently decided in my absence that this piece is out.  OK, then, out it
is.  And since this was a "stopgap" feature until we got "real" provisioning, we
should probably close this altogether.


Note You need to log in before you can comment on or make changes to this bug.